org.eclnt.jsfserver.util

## Class ArrayListWithChangeIndex<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<T>
      - - org.eclnt.jsfserver.util.ArrayListWithChangeIndex<T>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<T>, java.util.Collection<T>, java.util.List<T>, java.util.RandomAccess, IListWithChangeIndex<T>

      public class ArrayListWithChangeIndex<T>
      extends java.util.ArrayList<T>
      implements IListWithChangeIndex<T>, java.io.Serializable

  Array list that is a direct extension of ArrayList. Every time the array is updated through a corresponding method (e.g. add()), then the change listener is called - so that the change listener gets notified.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayListWithChangeIndex()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, T element)`
    `boolean` | `add(T e)`
    `boolean` | `addAll(java.util.Collection<? extends T> c)`
    `boolean` | `addAll(int index, java.util.Collection<? extends T> c)`
    `void` | `clear()`
    `int` | `getChangeIndex()`
    `T` | `remove(int index)`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `removeAll(java.util.Collection<?> c)`
    `protected void` | `removeRange(int fromIndex, int toIndex)`
    `void` | `reorderList(java.util.List<T> newOrder, boolean withEvent)`
    `boolean` | `retainAll(java.util.Collection<?> c)`
    `T` | `set(int index, T element)`
    `void` | `setListWithChangeIndexListener(IListWithChangeIndexListener listener)`
    `void` | `trimToSize()`
    `void` | `updateChangeIndex()` Update the change Index from outside.

    - ### Methods inherited from class java.util.ArrayList

      `clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeIf, replaceAll, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, replaceAll, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ArrayListWithChangeIndex

          public ArrayListWithChangeIndex()

  - ### Method Detail

    - #### getChangeIndex

          public int getChangeIndex()

      Specified by:
        `getChangeIndex` in interface `IListWithChangeIndex<T>`

    - #### updateChangeIndex

          public void updateChangeIndex()

      Update the change Index from outside.
      Specified by:
        `updateChangeIndex` in interface `IListWithChangeIndex<T>`

    - #### setListWithChangeIndexListener

          public void setListWithChangeIndexListener(IListWithChangeIndexListener listener)

      Specified by:
        `setListWithChangeIndexListener` in interface `IListWithChangeIndex<T>`

    - #### add

          public void add(int index,
                          T element)

      Specified by:
        `add` in interface `java.util.List<T>`
      Overrides:
        `add` in class `java.util.ArrayList<T>`

    - #### add

          public boolean add(T e)

      Specified by:
        `add` in interface `java.util.Collection<T>`
      Specified by:
        `add` in interface `java.util.List<T>`
      Overrides:
        `add` in class `java.util.ArrayList<T>`

    - #### addAll

          public boolean addAll(java.util.Collection<? extends T> c)

      Specified by:
        `addAll` in interface `java.util.Collection<T>`
      Specified by:
        `addAll` in interface `java.util.List<T>`
      Overrides:
        `addAll` in class `java.util.ArrayList<T>`

    - #### addAll

          public boolean addAll(int index,
                                java.util.Collection<? extends T> c)

      Specified by:
        `addAll` in interface `java.util.List<T>`
      Overrides:
        `addAll` in class `java.util.ArrayList<T>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<T>`
      Specified by:
        `clear` in interface `java.util.List<T>`
      Overrides:
        `clear` in class `java.util.ArrayList<T>`

    - #### remove

          public T remove(int index)

      Specified by:
        `remove` in interface `java.util.List<T>`
      Overrides:
        `remove` in class `java.util.ArrayList<T>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<T>`
      Specified by:
        `remove` in interface `java.util.List<T>`
      Overrides:
        `remove` in class `java.util.ArrayList<T>`

    - #### removeRange

          protected void removeRange(int fromIndex,
                                     int toIndex)

      Overrides:
        `removeRange` in class `java.util.ArrayList<T>`

    - #### set

          public T set(int index,
                       T element)

      Specified by:
        `set` in interface `java.util.List<T>`
      Overrides:
        `set` in class `java.util.ArrayList<T>`

    - #### trimToSize

          public void trimToSize()

      Overrides:
        `trimToSize` in class `java.util.ArrayList<T>`

    - #### removeAll

          public boolean removeAll(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<T>`
      Specified by:
        `removeAll` in interface `java.util.List<T>`
      Overrides:
        `removeAll` in class `java.util.ArrayList<T>`

    - #### retainAll

          public boolean retainAll(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<T>`
      Specified by:
        `retainAll` in interface `java.util.List<T>`
      Overrides:
        `retainAll` in class `java.util.ArrayList<T>`

    - #### reorderList

          public void reorderList(java.util.List<T> newOrder,
                                  boolean withEvent)

Copyright © CaptainCasa Gmbh. All Rights Reserved.